Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Cleanup_Adapter Class Template Reference

Adapter for ACE_Cleanup objects that allows them to be readily managed by the ACE_Object_Manager. More...

`#include <Managed_Object.h>`

Inheritance diagram for ACE_Cleanup_Adapter:

[legend]
Collaboration diagram for ACE_Cleanup_Adapter:

[legend]
List of all members.

## Public Methods
| ACE_Cleanup_Adapter (void)
| Default constructor. More...
virtual | ~ACE_Cleanup_Adapter (void)
| Virtual destructor, needed by some compilers for vtable placement. More...
TYPE & | object (void)
| Accessor for contained object. More...
## Private Methods
| ACE_Cleanup_Adapter (const ACE_Cleanup_Adapter< TYPE > &)
void | operator= (const ACE_Cleanup_Adapter< TYPE > &)
## Private Attributes
TYPE | object_
| Contained object. More...

## Detailed Description

### template<class TYPE>
class ACE_Cleanup_Adapter< TYPE >

Adapter for ACE_Cleanup objects that allows them to be readily managed by the ACE_Object_Manager.

This template class adapts an object of any type to be an ACE_Cleanup object. The object can then be destroyed type-safely by the ACE_Object_Manager. This class is typically used to replace a cast; but, it's a bit cleaner and allows insertion of, say, run-time type identification internally if desired.

## Constructor & Destructor Documentation

template<class TYPE>
ACE_INLINE ACE_Cleanup_Adapter< TYPE >::ACE_Cleanup_Adapter | ( | void |  | ) |

| Default constructor.

template<class TYPE>
ACE_Cleanup_Adapter< TYPE >::~ACE_Cleanup_Adapter | ( | void |  | ) | `[virtual]`

| Virtual destructor, needed by some compilers for vtable placement.

template<class TYPE>
ACE_Cleanup_Adapter< TYPE >::ACE_Cleanup_Adapter | ( | const ACE_Cleanup_Adapter< TYPE > & |  | ) | `[private]`

## Member Function Documentation

template<class TYPE>
ACE_INLINE TYPE & ACE_Cleanup_Adapter< TYPE >::object | ( | void |  | ) |

| Accessor for contained object.

template<class TYPE>
void ACE_Cleanup_Adapter< TYPE >::operator= | ( | const ACE_Cleanup_Adapter< TYPE > & |  | ) | `[private]`

## Member Data Documentation

template<class TYPE>
TYPE ACE_Cleanup_Adapter::object_`[private]`

| Contained object.

The documentation for this class was generated from the following files:

- Managed_Object.h
- Managed_Object.cpp
- Managed_Object.i